/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucoredone
#define headerfilecmslucoredone



// what has been done
class Done
{
public:

	enum Code
	{
		none = 0,
		added_item,
		edited_item,
		deleted_item,
		deleted_dir,
		privileged_item,
		added_dir,
		added_thread,
		defaulted_dir,
		reloaded_templates,
		loggedout
	};
	
	
	Done();
	Done(Code c);
	Done & operator=(Code c);
	bool operator==(Code c) const;
	bool operator!=(Code c) const;

	operator int();
	
private:

	Code code;
	
};



#endif
